org.apache.ivy.core.resolve

## Class ResolveProcessException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ivy.core.resolve.ResolveProcessException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  RestartResolveProcess, StrictConflictException

    public class ResolveProcessException
    extends java.lang.RuntimeException

ResolveProcessException is an exception which is used to control the resolve process.

All `ResolveProcessException` subclasses have the ability to interrupt the resolve process when thrown while resolving dependencies, instead of only marking the module with a problem and continuing the resolve process as part of the best effort strategy during resolve process.

Some subclasses have even a stronger power over the resolve process, like `RestartResolveProcess` which orders to restart the resolve process at the start.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ResolveProcessException()`
`ResolveProcessException(java.lang.String message)`
`ResolveProcessException(java.lang.String message, java.lang.Throwable cause)`
`ResolveProcessException(java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ResolveProcessException

    public ResolveProcessException()

#### ResolveProcessException

    public ResolveProcessException(java.lang.String message,
                           java.lang.Throwable cause)

#### ResolveProcessException

    public ResolveProcessException(java.lang.String message)

#### ResolveProcessException

    public ResolveProcessException(java.lang.Throwable cause)